echo "Build all weAutSys (in situ) and its documentation (in ./doxydocu"
echo "copied to and start read in  ~/temp/html/ to survive clean)"
 #
# this is the Linux (bash) variant   docCop.sh
# on Windows use the (batch) variant docCop.bat
 #
 # all extra sharps (# line end) are needed as the Linux bash shell is not
 # able to robustly ignore cntl-M. As this is a (sub) version controlled
 # multi-developer-platform
 # project they will unavoidably occur. As one consequence the "magic"
 #!/bin/bash as first line will never work. 
 #
echo  #
 #
echo clean project ---------         # 
make clean 1> ~/temp/clean.log       #
# next two command were put to makefile
#  cp -f ./include/maketime_utc.txt ./include/maketime_utc.h #
# date +%s >> ./include/maketime_utc.h #
echo  #
 #
echo build project ---------  GCC    # 
make all  1>  ~/temp/build.log  #
echo  # 
 #
echo docu  project ---------  HTML   #  
make docu 1> ~/temp/doxgen.log    #
mkdir ~/temp/html/   2> /dev/null  #
  #
if [  -f "./doxydocu/html/index.html" ] #
then #
cp -r  ./doxydocu/html/*  ~/temp/html/  #
echo  #
fi #
cat dox_warnings.are  #
echo ----------------------------------------------------------------
 #
/usr/bin/firefox  ~/temp/html/index.html & #
echo   #
 #
if [ "$1" = "-pdf" ] #
then #
echo docu  project ---------  PDF    #  
cd ./doxydocu/latex #
rm -f *.ps *.dvi *.aux *.toc *.idx *.ind *.ilg *.log *.out refman.pdf #
pdflatex refman.tex  #
 #
java FuR ./refman.tex "{tocdepth}{" "}" "{tocdepth}{1}" keepBraces=false #
 #
# with   pdfTeX, Version 3.1415926-1.40.10   (TeX Live 2009/Debian)
# and makeindex, version 2.15    [TeX Live 2009] (kpathsea + Thai support)
 #
makeindex refman.idx  #
 #
pdflatex refman.tex  #
cp ./refman.pdf ~/temp/html/ #
cd ../..  #
acroread ~/temp/html/refman.pdf & #
 #
fi #
echo "see ~/temp/html/index.html and  ~/temp/html/refman.pdf --------" #
echo # 
 # 
