/**
 *  \file uip_mess.c
 *
 *  weAutSys  implementation of system message texts  for uIP
 *
 *  This is system software and must not be modified for user or
 *  application programs.
 *
 * This file is part of weAutSys &nbsp;
 *           <<a href="http://weinert-automation.de">weinert-automation.de</a>>
 *
 * &nbsp; \ref copyLicNote " Copyright &copy; " 2011 Albrecht Weinert, Bochum
 * \author  Albrecht Weinert  &nbsp; <<a href="http://a-weinert.de">a-weinert.de</a>>
 * $Revision: 2 $
 * $Date: 2017-01-25 16:49:03 +0000 (Wed, 25 Jan 2017) $
 */
//  SVN last change by $Author: albrecht $

#include "we-aut_sys/ll_system.h"
#include "we-aut_sys/system.h"
#include "arch/uip_mess.h"

#if UIP_CONF_IPV6
INFLASH(char ipv6InvVers[]    ) = "ipv6: invalid version.";
#else
INFLASH(char ipInvVersHeadL[] ) = "ip: invalid version or header length.";
INFLASH(char ipPackShorter[]  ) = "ip: packet shorter than said in header ";
#endif
INFLASH(char ipFragmDropp[]   ) = "ip: fragment dropped.";
INFLASH(char ipPossPingConfR[]) = "ip: possible ping config packet received.";
INFLASH(char ipPackDroppSiAA[]) = "ip: packet dropped since no address assigned.";
INFLASH(char ipBadCheckS[]    ) = "ip: bad checksum.";
//                                 123456789.123456789.123456789.123456789v1234567

INFLASH(char ipNotTcpNorIcmp[]) = "ip: neither tcp nor icmp.";
INFLASH(char icmpNotIcmpEcho[]) = "icmp: not icmp echo.";
INFLASH(char ipNotTcpNorIcmp6[]) ="ip: neither tcp nor icmp6."; // IPV6
INFLASH(char icmpUnknownMess[]) = "icmp: unknown ICMP message."; // IPV6
INFLASH(char udpBadCheckS[]   ) = "udp: bad checksum.";
INFLASH(char udpNoMatchCon[]  ) = "udp: no connection matching ";
INFLASH(char tcpBadCheckS[]   ) = "tcp: bad checksum \n";
INFLASH(char tcpNoUUsedCon[]  ) = "tcp: found no unused connections \n";
INFLASH(char tcpGotResetAbrt[]) = "tcp: got reset, aborting connection.";

